### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
MCBarrierEngine< RNG, S > Class Template Reference
Barrier option engines

Pricing engine for barrier options using Monte Carlo simulation. More...

`#include <ql/pricingengines/barrier/mcbarrierengine.hpp>`

Inheritance diagram for MCBarrierEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef McSimulation < SingleVariate, RNG, S > ::path_generator_type | path_generator_type
typedef McSimulation < SingleVariate, RNG, S > ::path_pricer_type | path_pricer_type
typedef McSimulation < SingleVariate, RNG, S > ::stats_type | stats_type

## Public Member Functions

| MCBarrierEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, bool isBiased, BigNatural seed)
void | calculate () const

## Protected Member Functions

TimeGrid | timeGrid () const
boost::shared_ptr < path_generator_type > | pathGenerator () const
boost::shared_ptr < path_pricer_type > | pathPricer () const

## Protected Attributes

boost::shared_ptr < GeneralizedBlackScholesProcess > | process_
Size | timeSteps_
Size | timeStepsPerYear_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | isBiased_
bool | brownianBridge_
BigNatural | seed_

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCBarrierEngine< RNG, S >

Pricing engine for barrier options using Monte Carlo simulation.

Uses the Brownian-bridge correction for the barrier found in Going to Extremes: Correcting Simulation Bias in Exotic Option Valuation - D.R. Beaglehole, P.H. Dybvig and G. Zhou Financial Analysts Journal; Jan/Feb 1997; 53, 1. pg. 62-68 and Simulating path-dependent options: A new approach - M. El Babsiri and G. Noel Journal of Derivatives; Winter 1998; 6, 2; pg. 65-83

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.